Uploaded image for project: 'WiredTiger'
  1. WiredTiger
  2. WT-5776

Multiversion tests failing due to data format change in durable history

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Duplicate
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:

      Description

      The multiversion evergreen suite appears to expect in various tests that you can run 4.4 on a previous (before 4.2) version. However currently this can result in 4.4 altering the metadata file and making it unreadable for previous version. Is it reasonable to update the multiversion test suite to change this expectation?

      One test in particular is the mulitversion/skip_level_upgrade.js test, which intentionally skips levels when running mongod.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              luke.pearson Luke Pearson
              Reporter:
              luke.pearson Luke Pearson
              Votes:
              0 Vote for this issue
              Watchers:
              9 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: